From 0a2159798edffdbc0fdba67b2ae4aeca118a2516 Mon Sep 17 00:00:00 2001
From: Victor Kustov <ktrace@yandex.ru>
Date: Mon, 31 May 2021 22:47:55 +0300
Subject: [PATCH] fix

---
 build/Makefile.linux | 52 ++++++++++++++++++++++----------------------
 configure            |  4 ++--
 2 files changed, 28 insertions(+), 28 deletions(-)

diff --git a/build/Makefile.linux b/build/Makefile.linux
index 965c7fb..62c20b9 100644
--- a/build/Makefile.linux
+++ b/build/Makefile.linux
@@ -24,48 +24,48 @@ EXECS=server/maradns
 # end the Solaris section
 # Non-Solaris version of "M"
 V="VERSION=$(VERSION)"
-Q="DEFINES=-DSELECT_PROBLEM"
+Q="$(LDFLAGS) DEFINES=-DSELECT_PROBLEM"
 
 # Debug
 
 FLAGS = -O2 -Wall -DSELECT_PROBLEM
-M="CC=$(CC) $(FLAGS)"
-D="CC=$(CC) $(FLAGS) -DDEBUG -DTHREADS"
+M="CC=$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
+D="CC=$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DDEBUG -DTHREADS"
 #FLAGS = -g
 
 all: 
-	cd libs ; make $(M) ; cd ../dns ; make $(M) ; \
-	cd ../rng ; make $(M) ; cd ../parse ; make $(M) ; \
-	cd ../qual ; make $(M) ; cd ../server ; \
+	cd libs ; $(MAKE) $(M) ; cd ../dns ; $(MAKE) $(M) ; \
+	cd ../rng ; $(MAKE) $(M) ; cd ../parse ; $(MAKE) $(M) ; \
+	cd ../qual ; $(MAKE) $(M) ; cd ../server ; \
 	make $(M) $(V) COMPILED=\"$(COMPILED)\" ; \
-	cd ../tools ; make $(M) ; \
-	cd ../deadwood-*/src/ ; make FLAGS=-O2 ; \
-	cd ../../tcp ; make $(M) $(V) ; cat ../00README.FIRST
+	cd ../tools ; $(MAKE) $(M) ; \
+	cd ../deadwood-*/src/ ; $(MAKE)  $(M) ; \
+	cd ../../tcp ; $(MAKE) $(M) $(V) ; cat ../00README.FIRST
 
 debug: 
-	cd libs ; make $(D) DEBUG="-DDEBUG -DTHREADS" ; \
-	cd ../dns ; make $(D) ; cd ../rng ; make $(D) ; \
-	cd ../parse ; make $(D) ; cd ../qual ; make $(D) ; \
+	cd libs ; $(MAKE) $(D) DEBUG="-DDEBUG -DTHREADS" ; \
+	cd ../dns ; $(MAKE) $(D) ; cd ../rng ; $(MAKE) $(D) ; \
+	cd ../parse ; $(MAKE) $(D) ; cd ../qual ; $(MAKE) $(D) ; \
 	cd ../server ; \
 	make $(D) $(Q) $(V) COMPILED=\"$(COMPILED_DEBUG)\" ; \
-	cd ../tools ; make $(D) ; \
-	cd ../tcp ; make $(D) $(V) ; cat ../00README.FIRST
+	cd ../tools ; $(MAKE) $(D) ; \
+	cd ../tcp ; $(MAKE) $(D) $(V) ; cat ../00README.FIRST
 
 clean:
 	rm -f $(OBJECTS) core $(EXECS) ; \
-	cp build/Makefile.w Makefile ; cd dns ; make clean ; \
-	cd ../libs ; make clean ; cd ../parse ; make clean ; \
-	cd ../qual ; make clean ; \
-	cd ../server ; make clean ; \
+	cp build/Makefile.w Makefile ; cd dns ; $(MAKE) clean ; \
+	cd ../libs ; $(MAKE) clean ; cd ../parse ; $(MAKE) clean ; \
+	cd ../qual ; $(MAKE) clean ; \
+	cd ../server ; $(MAKE) clean ; \
 	cp Makefile.recursive Makefile ; \
-	cd ../test ; make clean ; \
-	cd ../tools ; make clean ; \
-	cd misc ; make clean ; \
-	cd ../../utf8 ; make clean ; \
-	cd ../tcp ; make clean ; \
-	cd ../rng ; make clean ; \
-	cd ../sqa ; make clean ; \
-	cd ../deadwood-*/src ; make clean ; \
+	cd ../test ; $(MAKE) clean ; \
+	cd ../tools ; $(MAKE) clean ; \
+	cd misc ; $(MAKE) clean ; \
+	cd ../../utf8 ; $(MAKE) clean ; \
+	cd ../tcp ; $(MAKE) clean ; \
+	cd ../rng ; $(MAKE) clean ; \
+	cd ../sqa ; $(MAKE) clean ; \
+	cd ../deadwood-*/src ; $(MAKE) clean ; \
 	# ; cd .. ; find . -type d | grep .deps | xargs rm -fr ; find . -name '*.o' | xargs rm
 
 strip:
diff --git a/configure b/configure
index 9e98ac8..fedbd87 100755
--- a/configure
+++ b/configure
@@ -174,14 +174,14 @@ if [ -z "$IPV6" ] ; then
 	cp tcp/Makefile.authonly tcp/Makefile
 	cp dns/Makefile.authonly dns/Makefile
 	cp tools/Makefile.authonly tools/Makefile
+	DEADWOOD_DIR=$( echo deadwood-* )
+	cp $DEADWOOD_DIR/src/Makefile.noipv6 $DEADWOOD_DIR/src/Makefile
 else
 	cp server/Makefile.ipv6 server/Makefile
 	cp qual/Makefile.nothreads qual/Makefile
 	cp tcp/Makefile.ipv6 tcp/Makefile
 	cp dns/Makefile.authonly dns/Makefile
 	cp tools/Makefile.ipv6 tools/Makefile
-	DEADWOOD_DIR=$( echo deadwood-* )
-	cp $DEADWOOD_DIR/src/Makefile.ipv6 $DEADWOOD_DIR/src/Makefile
 fi
 
 echo
-- 
2.26.3

